Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing
Interface AmazonElasticLoadBalancingAsync

All Superinterfaces:
  AmazonElasticLoadBalancing

All Known Implementing Classes:
  AmazonElasticLoadBalancingAsyncClient

    public interface AmazonElasticLoadBalancingAsync

extends AmazonElasticLoadBalancing

Interface for accessing AmazonElasticLoadBalancing asynchronously, using Java Futures.

Method Summary
`Future<ConfigureHealthCheckResult>` | `configureHealthCheckAsync(ConfigureHealthCheckRequest configureHealthCheckRequest)`
`Future<CreateAppCookieStickinessPolicyResult>` | `createAppCookieStickinessPolicyAsync(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)`
`Future<CreateLBCookieStickinessPolicyResult>` | `createLBCookieStickinessPolicyAsync(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)`
`Future<CreateLoadBalancerResult>` | `createLoadBalancerAsync(CreateLoadBalancerRequest createLoadBalancerRequest)`
`Future<Void>` | `deleteLoadBalancerAsync(DeleteLoadBalancerRequest deleteLoadBalancerRequest)`
`Future<DeleteLoadBalancerPolicyResult>` | `deleteLoadBalancerPolicyAsync(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)`
`Future<DeregisterInstancesFromLoadBalancerResult>` | `deregisterInstancesFromLoadBalancerAsync(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)`
`Future<DescribeInstanceHealthResult>` | `describeInstanceHealthAsync(DescribeInstanceHealthRequest describeInstanceHealthRequest)`
`Future<DescribeLoadBalancersResult>` | `describeLoadBalancersAsync(DescribeLoadBalancersRequest describeLoadBalancersRequest)`
`Future<DisableAvailabilityZonesForLoadBalancerResult>` | `disableAvailabilityZonesForLoadBalancerAsync(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)`
`Future<EnableAvailabilityZonesForLoadBalancerResult>` | `enableAvailabilityZonesForLoadBalancerAsync(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)`
`Future<RegisterInstancesWithLoadBalancerResult>` | `registerInstancesWithLoadBalancerAsync(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)`
`Future<SetLoadBalancerPoliciesOfListenerResult>` | `setLoadBalancerPoliciesOfListenerAsync(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)`

Methods inherited from interface com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancing
`configureHealthCheck, createAppCookieStickinessPolicy, createLBCookieStickinessPolicy, createLoadBalancer, deleteLoadBalancer, deleteLoadBalancerPolicy, deregisterInstancesFromLoadBalancer, describeInstanceHealth, describeLoadBalancers, describeLoadBalancers, disableAvailabilityZonesForLoadBalancer, enableAvailabilityZonesForLoadBalancer, registerInstancesWithLoadBalancer, setEndpoint, setLoadBalancerPoliciesOfListener, shutdown`

Method Detail

### setLoadBalancerPoliciesOfListenerAsync

    Future<SetLoadBalancerPoliciesOfListenerResult> setLoadBalancerPoliciesOfListenerAsync(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)
                                                                                           throws AmazonServiceException,
                                                                                                  AmazonClientException

  Parameters:
    `setLoadBalancerPoliciesOfListenerRequest` - Container for the necessary parameters to execute the SetLoadBalancerPoliciesOfListener operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the SetLoadBalancerPoliciesOfListener service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeLoadBalancersAsync

    Future<DescribeLoadBalancersResult> describeLoadBalancersAsync(DescribeLoadBalancersRequest describeLoadBalancersRequest)
                                                                   throws AmazonServiceException,
                                                                          AmazonClientException

  Parameters:
    `describeLoadBalancersRequest` - Container for the necessary parameters to execute the DescribeLoadBalancers operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DescribeLoadBalancers service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createAppCookieStickinessPolicyAsync

    Future<CreateAppCookieStickinessPolicyResult> createAppCookieStickinessPolicyAsync(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)
                                                                                       throws AmazonServiceException,
                                                                                              AmazonClientException

  Parameters:
    `createAppCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateAppCookieStickinessPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateAppCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### disableAvailabilityZonesForLoadBalancerAsync

    Future<DisableAvailabilityZonesForLoadBalancerResult> disableAvailabilityZonesForLoadBalancerAsync(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)
                                                                                                       throws AmazonServiceException,
                                                                                                              AmazonClientException

  Parameters:
    `disableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the DisableAvailabilityZonesForLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DisableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeInstanceHealthAsync

    Future<DescribeInstanceHealthResult> describeInstanceHealthAsync(DescribeInstanceHealthRequest describeInstanceHealthRequest)
                                                                     throws AmazonServiceException,
                                                                            AmazonClientException

  Parameters:
    `describeInstanceHealthRequest` - Container for the necessary parameters to execute the DescribeInstanceHealth operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DescribeInstanceHealth service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLoadBalancerAsync

    Future<CreateLoadBalancerResult> createLoadBalancerAsync(CreateLoadBalancerRequest createLoadBalancerRequest)
                                                             throws AmazonServiceException,
                                                                    AmazonClientException

  Parameters:
    `createLoadBalancerRequest` - Container for the necessary parameters to execute the CreateLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### registerInstancesWithLoadBalancerAsync

    Future<RegisterInstancesWithLoadBalancerResult> registerInstancesWithLoadBalancerAsync(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)
                                                                                           throws AmazonServiceException,
                                                                                                  AmazonClientException

  Parameters:
    `registerInstancesWithLoadBalancerRequest` - Container for the necessary parameters to execute the RegisterInstancesWithLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the RegisterInstancesWithLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deregisterInstancesFromLoadBalancerAsync

    Future<DeregisterInstancesFromLoadBalancerResult> deregisterInstancesFromLoadBalancerAsync(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)
                                                                                               throws AmazonServiceException,
                                                                                                      AmazonClientException

  Parameters:
    `deregisterInstancesFromLoadBalancerRequest` - Container for the necessary parameters to execute the DeregisterInstancesFromLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeregisterInstancesFromLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancerAsync

    Future<Void> deleteLoadBalancerAsync(DeleteLoadBalancerRequest deleteLoadBalancerRequest)
                                         throws AmazonServiceException,
                                                AmazonClientException

  Parameters:
    `deleteLoadBalancerRequest` - Container for the necessary parameters to execute the DeleteLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeleteLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### configureHealthCheckAsync

    Future<ConfigureHealthCheckResult> configureHealthCheckAsync(ConfigureHealthCheckRequest configureHealthCheckRequest)
                                                                 throws AmazonServiceException,
                                                                        AmazonClientException

  Parameters:
    `configureHealthCheckRequest` - Container for the necessary parameters to execute the ConfigureHealthCheck operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the ConfigureHealthCheck service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### enableAvailabilityZonesForLoadBalancerAsync

    Future<EnableAvailabilityZonesForLoadBalancerResult> enableAvailabilityZonesForLoadBalancerAsync(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)
                                                                                                     throws AmazonServiceException,
                                                                                                            AmazonClientException

  Parameters:
    `enableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the EnableAvailabilityZonesForLoadBalancer operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the EnableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLBCookieStickinessPolicyAsync

    Future<CreateLBCookieStickinessPolicyResult> createLBCookieStickinessPolicyAsync(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)
                                                                                     throws AmazonServiceException,
                                                                                            AmazonClientException

  Parameters:
    `createLBCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateLBCookieStickinessPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the CreateLBCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancerPolicyAsync

    Future<DeleteLoadBalancerPolicyResult> deleteLoadBalancerPolicyAsync(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)
                                                                         throws AmazonServiceException,
                                                                                AmazonClientException

  Parameters:
    `deleteLoadBalancerPolicyRequest` - Container for the necessary parameters to execute the DeleteLoadBalancerPolicy operation on AmazonElasticLoadBalancing.
  Returns:
    A Java Future object containing the response from the DeleteLoadBalancerPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.